configure: Don't force _WIN32_WINNT to an older version if targeting winphone/winrt
authorMartin Storsjö <martin@martin.st>
Fri, 24 Jul 2015 20:12:43 +0000 (23:12 +0300)
committerMartin Storsjö <martin@martin.st>
Tue, 28 Jul 2015 16:37:49 +0000 (19:37 +0300)
commitc6e0829e3696c894d24c8088c3ee30a9c17534c2
tree51e5922df04265c6a5577dd4ff078223eb4b602b
parentd75b55635a02444c2f188c26e431a1cec992babe
configure: Don't force _WIN32_WINNT to an older version if targeting winphone/winrt

This avoids having to manually set _WIN32_WINNT in --extra-cflags
when targeting these API families, which only was necessary to
work around configure setting _WIN32_WINNT to an older version
by default.

Signed-off-by: Martin Storsjö <martin@martin.st>
configure